export class EditorService {
  /**
   * Creates a quotation and header for selected month
   * @param date
   * @param header
   * @param quote
   */
  public sendQuotation = async (
    date: Date,
    header: string,
    quote: string
  ): Promise<void> => {
    try {
      const response = await fetch(
        'https://localhost:1443/api/admin/monthlyNews',
        {
          method: 'POST',
          body: JSON.stringify({
            month: date.getMonth(),
            year: date.getFullYear(),
            header: header,
            quote: quote,
          }),
        }
      )
      if (response.status !== 201) {
        throw new Error(
          `Le post n'a pas pu être créé (code ${response.status})`
        )
      }
      console.log('Le post a été créé avec succès')
    } catch (e) {
      console.log(e)
    }
  }

  /**
   * Gets a quotation and header for selected month
   */
  public getQuotation = async (): Promise<any> => {
    try {
      const response = await fetch(
        'https://localhost:1443/api/admin/monthlyNews',
        {
          method: 'GET',
        }
      )
      if (response.status !== 201) {
        throw new Error(
          `Erreur lors de la récupération (code ${response.status})`
        )
      }
      return response.json()
    } catch (e) {
      console.log(e)
    }
  }
}
